Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 11-04-2019 08:56:46

Guppy88
Membre
Lieu : Rambervillers Vosges
Distrib. : Buster +Stretch + Jessie
Noyau : Linux 4.19.0-4-amd64+ Linux 4.9.0-8-amd64 + Linux
(G)UI : Gnome 3.30.02 - 3.22.2
Inscription : 07-01-2012

Résolu - fichiers réparés.gnome

J'ai cassé la commande de réglage de gnome, les deux peties outils en croix, elle ne fait plus rien sauf s'éteindre. y a t-il un moyen simple de réparer ?
Merci.
Guppy

Dernière modification par Guppy88 (13-04-2019 20:19:05)

Hors ligne

#2 11-04-2019 09:04:19

smolski
admin quasi...modo
Lieu : AIN
Distrib. : 9 (stretch) 64 bits + backports
Noyau : 4.9.65-3+deb9u2
(G)UI : gnome
Inscription : 21-10-2008

Re : Résolu - fichiers réparés.gnome

As-tu cette commande des Paramètres en ouvrant Activités ?

"Théo et Adama te rappellent pourquoi Zyed et Bouna couraient…"
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#3 11-04-2019 10:37:46

Guppy88
Membre
Lieu : Rambervillers Vosges
Distrib. : Buster +Stretch + Jessie
Noyau : Linux 4.19.0-4-amd64+ Linux 4.9.0-8-amd64 + Linux
(G)UI : Gnome 3.30.02 - 3.22.2
Inscription : 07-01-2012

Re : Résolu - fichiers réparés.gnome

Non , rien c'est vide.
Cela à même disparu de mes utiliatires dans Applications, le bouton son par exemple

Hors ligne

#4 13-04-2019 20:14:24

Guppy88
Membre
Lieu : Rambervillers Vosges
Distrib. : Buster +Stretch + Jessie
Noyau : Linux 4.19.0-4-amd64+ Linux 4.9.0-8-amd64 + Linux
(G)UI : Gnome 3.30.02 - 3.22.2
Inscription : 07-01-2012

Re : Résolu - fichiers réparés.gnome

J'ai réglé mon problème avec un apt-get qui a réinstallé en quelques secondes les fichiers manquants, virés par synaptic.
Finalemennt synaptic ce n'est pas si bien que cela, on n epeut pas lui faire totalement confiance. Je comprends pourquoi Debian  ne l'a pas reconduit pour buster.
Guppy

Dernière modification par Guppy88 (13-04-2019 20:17:05)

Hors ligne

#5 13-04-2019 20:50:39

robert2a
Membre
Lieu : France
Distrib. : debian 10
Noyau : 4.19
(G)UI : Gnome
Inscription : 15-11-2014

Re : Résolu - fichiers réparés.gnome

Bonjour

huuummmmm  celle la d' excuse tongue  , la faute a synaptic ............  lol
out.gif

Hors ligne

#6 14-04-2019 07:52:40

Guppy88
Membre
Lieu : Rambervillers Vosges
Distrib. : Buster +Stretch + Jessie
Noyau : Linux 4.19.0-4-amd64+ Linux 4.9.0-8-amd64 + Linux
(G)UI : Gnome 3.30.02 - 3.22.2
Inscription : 07-01-2012

Re : Résolu - fichiers réparés.gnome

N'empêche que c'est bien grâce à lui que j'avais perdu cette partie de l'application de Gnome, que toujours grâce à lui, j'ai tenté de rajouter les fichiers disparus.
Qu'après l'avooir tenté cela ne fonctionnait  toujours pas.
Pire je ne peux pas enlever les fichiers rajootés en trop, parceque " impossible d'éffacer,  il faudrait d'abord  les paquets cassés..."
Finalement un terminal, une ligne de commande avec apt-get et c'est revenu.

C'est certainement pas comme cela qu'il fallait faire.
Mais je me débrouille comme je peux, quand tu n'es pas là pour m'aider.

Merci encore pour le temps que tu as passé  à m'expliquer comment faire avec Debian.

Et en partie à cause - ou grâce-  à toi, il n'y a plus que Debian sur ma machine, celle-ci n'a jamais connu de Windows et n'en conniaitra jamais.
Guppy

Dernière modification par Guppy88 (14-04-2019 07:54:12)

Hors ligne

#7 14-04-2019 09:01:20

robert2a
Membre
Lieu : France
Distrib. : debian 10
Noyau : 4.19
(G)UI : Gnome
Inscription : 15-11-2014

Re : Résolu - fichiers réparés.gnome

Bonjour

avec synaptic tant que tu n'a pas fait "appliquer" rien n'est modifié , donc il a du t'avertir de la suppression de certaines choses et tu n'a pas du faire attention .
au pire tu ferme synaptic , les modifications seront abandonnées .
pour apt ou apt-get (même aptitude ) , une simulation avec "-s" pour voir ce qui se passe sans le faire en réel .
pour réparer c'est la même chose , avec synaptic , il faut commencer par réparer les paquets cassés . sinon il refusera toutes autres actions.
soit tu le réinstalle , pour qu'il ne soit plus dans l'état cassé , soit tu le désinstalle (si ça ne casse pas debian ) et ensuite tu continue .
sinon utiliser la console est une bonne idée aussi .
a mon avis au départ tu a fait quelque chose qui ne fallait pas .
synaptic n'est que l'utilisation de apt en mode graphique .
faut pas hésiter a utiliser la console dans certain cas  smile
ps: ma remarque était juste pour plaisanter  wink

si par exemple synaptic te propose d'enlever certain paquet , avant de faire "appliquer" tu regarde avec "recherche" ce que a quoi correspond ce (ou ces ) paquets a retirer.
si tu vois quelque chose de pas normal , (ou que tu ne comprend pas ) , passe en console avec apt ou aptitude .(tu ferme synaptic ça annule les modifications ) .

parfois a vouloir aller trop vite j'ai un souci avec les paquets "apt" et "apt-utils" , sur la mise a jour ce dernier est cassé (la mise a jour est interrompu ) , je vais dans "paquet cassés" => réinstallé et tout rentre dans l'ordre.
mais bon tu est au courant que synaptic ne fait plus partie de debian a partir de buster  hmm
pour l'instant je fais de la résistance , mais si une solution n'est pas trouvé , ce paquet risque de disparaître  roll

Hors ligne

#8 27-04-2019 13:03:53

Guppy88
Membre
Lieu : Rambervillers Vosges
Distrib. : Buster +Stretch + Jessie
Noyau : Linux 4.19.0-4-amd64+ Linux 4.9.0-8-amd64 + Linux
(G)UI : Gnome 3.30.02 - 3.22.2
Inscription : 07-01-2012

Re : Résolu - fichiers réparés.gnome

Finbalement je n'aurais pas du rétablir les fonctionnalités de gnome, je viens de l'écouter sur des "mises à jour importantes  (nvidia et GIMP)  je l'ai bêtement cru quand il m'a affiché aussi la mise à jour de mon GIMP 2.10.10.

C'est beau les trucs automatiques, mais ça ne donne pas toujours les résultats attendus.(cf mes débats pour installer jessie puis stretch puis nvidia  en fait j'ai du décomposer toute la procéfure automoqitique en patie d'installations manuelles successives, dont une stretch minimlale puis gnome - qui s"avère plus long à installer que le système de base - puis mes programmes Gimp et Blender (pour avoir ceux à jour) et encore dernièrement Gimp 2.10.10.

Je constate une fois de plus que les systèmes tout automatique, destinés à nous faciliter la vie nous la complique bien plus qu'ils ne nous la facilite. C'est de nouveau le cas aujourd'hui.

Le résultat de cette "mise à jour"  proposée par gnome c'est que ma deuxième icone pour l'ouverture de GImp 2.10 10 ne fonctionne plus. Gnome ouvre une petie icone avec une flèche qui tourne en rond puis disparait. résultat rien.
Je ne peux donc  plus ouvrir ma version 2.10.10, seule la version 2.8 fonctionne
Quand je clique sur propriétés de l'cone GIMP 2.10.10 il me répond que" org.gimp.desktop" est introuvable.
Vais je devoir recommencer l'installation manuelle de GIMP 2.10.10 ?
Guppy

Dernière modification par Guppy88 (27-04-2019 13:14:49)

Hors ligne

#9 27-04-2019 14:57:01

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-7-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : Résolu - fichiers réparés.gnome

hello
Sur Debian il y a pas de mise à jour depuis l'application , donc synaptic ou commande terminale ne peuvent te proposer une mise à jour qu'il n'ont pas...ta version gimp2.10.10 est une version gimp lancé avec snap, pour la mise à jour c'est une autre histoire
d'ailleur rien de changer toujours la version 2.10.10 sous snap

-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#10 27-04-2019 15:16:52

Guppy88
Membre
Lieu : Rambervillers Vosges
Distrib. : Buster +Stretch + Jessie
Noyau : Linux 4.19.0-4-amd64+ Linux 4.9.0-8-amd64 + Linux
(G)UI : Gnome 3.30.02 - 3.22.2
Inscription : 07-01-2012

Re : Résolu - fichiers réparés.gnome

Ben oui,  ça m'avait étonné que gnome me propose une mise à jour pour la dernière version de Gimp, mais
il m'a clairement et spécifiquement proposé

-  une mise à jour pour la version 2.08 sur une ligne
ET
- sur la ligne en dessous une mise à jour pour la version 2.10.

Jai bêtement cru ce qu'il m'affcihait et depuis la 2.10 ne focntionne plus.
Guppy

Hors ligne

#11 27-04-2019 20:50:18

robert2a
Membre
Lieu : France
Distrib. : debian 10
Noyau : 4.19
(G)UI : Gnome
Inscription : 15-11-2014

Re : Résolu - fichiers réparés.gnome

Bonsoir

C'est beau les trucs automatiques, mais ça ne donne pas toujours les résultats attendus.(cf mes débats pour installer jessie puis stretch puis nvidia  en fait j'ai du décomposer toute la procéfure automoqitique en patie d'installations manuelles successives, dont une stretch minimlale puis gnome - qui s"avère plus long à installer que le système de base - puis mes programmes Gimp et Blender (pour avoir ceux à jour) et encore dernièrement Gimp 2.10.10.

Je constate une fois de plus que les systèmes tout automatique, destinés à nous faciliter la vie nous la complique bien plus qu'ils ne nous la facilite. C'est de nouveau le cas aujourd'hui.



si tu veut pas avoir de soucis , la console c'est le mieux , (ou synaptic mais la ça reste une grosse mise a jour (avec le drivers nonfree nvidia ) )
pour gnome virer packagekit , unattended-upgrade gnome-logiciel  et autres gadgets .........

avec un souces.list normal tu est limité aux versions de stretch . roll

sinon un peu d'accord avec toi , debian change un peu de politique , mettre a jour les logiciels (par exemple pour nvidia ) ça devient une habitude.
sur buster , j'en parle pas ( /façon marseillais ) tous les 15 jours on a droit a une nouvelle version . roll

les mises a jours manuelles , ça évite les surprises , mais bon on a le choix manu/auto c'est bien  smile

Hors ligne

#12 27-04-2019 22:16:07

chalu
Modératrice
Lieu : Anjou
Distrib. : openSUSE Leap 15.1
Noyau : Linux 4.12.14
(G)UI : KDE 5
Inscription : 11-03-2016

Re : Résolu - fichiers réparés.gnome

Si c’est un paquet flatpak et comme il est sur Gnome il y a gnome-software qui gère les mises à jour de ces paquets
Sur le site de Gimp c’est explicité :

Cette installation fournira également des mises à jour régulières. Vous n'avez pas besoin de revenir sur cette page et de l'installer à nouveau (cela ne fonctionnera pas !) quand une nouvelle version de GIMP sera disponible. Au lieu de cela, si votre distribution et/ou bureau a un bon support pour flatpak, il devrait vous proposer d'effectuer des mises à jour.
Encore une fois, si votre distribution n'est pas correctement supportée, vous pouvez toujours utiliser la ligne de commande suivante :

 flatpak update


Bien débuter sur Debian :
->Les cahiers du débutant + le wiki Découvrir les principales commandes Linux
Bien débuter sur openSUSE :
->le site officiel + le wiki frle forum fr sur alionet

Hors ligne

#13 18-05-2019 12:37:50

Guppy88
Membre
Lieu : Rambervillers Vosges
Distrib. : Buster +Stretch + Jessie
Noyau : Linux 4.19.0-4-amd64+ Linux 4.9.0-8-amd64 + Linux
(G)UI : Gnome 3.30.02 - 3.22.2
Inscription : 07-01-2012

Re : Résolu - fichiers réparés.gnome

Oui, actuellement je suis sous Buster installé avec le minimum, donc environnement Gnome.
Et j'ai trouvé un utilitaire graphique qui présente une liste de logiciels installables, dont justement Gimp version 2.10, j'ai cliqué sur un bouton installer.
et cela s'est fait sans autre intervention de ma part. ça fonctionne mais  Gnome a ti utilisé flatpak ? s'est  t-il débrouillé autrement ?  et si sje ouhaite autre chose, par exemple disposer également ety simultanément de la  version 2.8  comment m'y prendre ?

GIMP 2.8 ne figure pas dans cette liste de logiciels installable automatiquement de cette façon.

Pourtant j'aimerais bien disposer des deux versions, le temps que je m'habitue à la dernière qui ne me plaît pas tellement, à moins que je ne lui trouve un thème qui me convienne mieux.

Le problème c'est qu'il va y avoir des interférences entre  les deux versions sur stretch je savais comment construire une deuxième icône, pour une version précédente, mais une mise à jour à écrasé cette icône de lancement, ele a fait la même chose avec Blender, j'avais deux versions la 2.79  et la nouvelle 2.80 RC1, mais gnome m'a supprimé l'icöne de lancement que je m'étais construite avec un utilitaire. Pour ouvrir blender 2.80 je vais cliquer sur  son carré de lancement dans répertoire que  je lui ai créé spécifiquement.


C'est bien beau tout ces trucs automatiques, qui ne vont bien qui si tu te contente de ce qu'on t'as prémâché.

Il va donc falloir que j'apprenne réellement à m'en passer ainsi que Synaptic et à construire des fichiers desktop  directement en mode console, que Gnome n'auras pas le droit de modifier ou de supprimer lorsqu'il installe une version différente.

C'est ce qu'il a fait avec la version de GIMP 2.10 installée sur stretch, non seulement lors d'une mise à jour il a supprimé l'icöne de lancement de GIMP 2.10 mais également l'affichage de cette icône dans la colonne applications, il ne reste qu'une case grise qui affiche  Blender 2.79 lorsqu'on passe dessus avec la souris.

Hors ligne

Pied de page des forums